## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)

%global pypi_name nbclient

%global _description %{expand:
NBClient, a client library for programmatic notebook execution, is a tool for 
running Jupyter Notebooks in different execution contexts. NBClient was spun 
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute notebooks.
}

Name:           python-%{pypi_name}
Version:        0.10.2
Release:        %autorelease
Summary:        A client library for executing notebooks

# Automatically converted from old format: BSD - review is highly recommended.
License:        LicenseRef-Callaway-BSD
URL:            https://jupyter.org
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

%bcond bootstrap 0
%bcond check %{without bootstrap}

%description
%_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%py_provides python3-%{pypi_name}

%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Drop version limit from pytest
sed -i "/pytest/s/,<8//" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest -vv
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-execute


%changelog
## START: Generated by rpmautospec
* Sat Mar 29 2025 Romain Geissler <romain.geissler@amadeus.com> - 0.10.2-3
- Introduce a bootstrap bcond to allow EPEL build inside side tags.

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 19 2024 Lumir Balhar <lbalhar@redhat.com> - 0.10.2-1
- Update to 0.10.2 (rhbz#2333303)

* Fri Nov 29 2024 Lumir Balhar <lbalhar@redhat.com> - 0.10.1-1
- Update to 0.10.1 (rhbz#2329461)

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 0.10.0-8
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-6
- Fix tests with Python 3.13 (rhbz#2293091)

* Tue Jun 18 2024 Python Maint <python-maint@redhat.com> - 0.10.0-5
- Rebuilt for Python 3.13

* Mon Jun 10 2024 Miro Hrončok <miro@hroncok.cz> - 0.10.0-4
- Avoid a DeprecationWarning on Python 3.13+

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.10.0-3
- Bootstrap for Python 3.13

* Mon Apr 15 2024 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-2
- Drop version limit from pytest 8

* Wed Mar 13 2024 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-1
- Update to 0.10.0 (rhbz#2269214)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 08 2023 Lumír Balhar <lbalhar@redhat.com> - 0.9.0-1
- Update to 0.9.0 (rhbz#2248561)

* Mon Aug 21 2023 Lumír Balhar <lbalhar@redhat.com> - 0.8.0-1
- Update to 0.8.0 (rhbz#2183943)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 10 2023 Python Maint <python-maint@redhat.com> - 0.7.2-4
- Rebuilt for Python 3.12

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.7.2-3
- Bootstrap for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Lumír Balhar <lbalhar@redhat.com> - 0.7.2-1
- Update to 0.7.2 (rhbz#2132802)

* Mon Sep 12 2022 Lumír Balhar <lbalhar@redhat.com> - 0.6.8-1
- Update to 0.6.8
Resolves: rhbz#2125605

* Mon Aug 22 2022 Lumír Balhar <lbalhar@redhat.com> - 0.6.7-1
- Update to 0.6.7
Resolves: rhbz#2061198

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 0.5.11-4
- Rebuilt for Python 3.11

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.5.11-3
- Bootstrap for Python 3.11

* Fri Jun 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.11-2
- Backport PR#209 to drop (missing, implicit) dependency on ipython_genutils
Resolves: rbhz#2095849

* Tue Mar 01 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.11-1
- Update to 0.5.11 and fix tests with IPython 8.1
Resolves: rhbz#2054387

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.10-1
- Update to 0.5.10
Resolves: rhbz#2040501

* Tue Jan 04 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.9-1
- Update to 0.5.9
Resolves: rhbz#2022624

* Mon Nov 29 2021 Karolina Surma <ksurma@redhat.com> - 0.5.5-2
- Remove -s from Python shebang in `jupyter-execute` to let Jupyter see pip
  installed extensions

* Tue Nov 09 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.5-1
- Update to 0.5.5
Resolves: rhbz#2021051

* Tue Aug 31 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.4-1
- Update to 0.5.4
Resolves: rhbz#1993880

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.3-3
- Rebuilt for Python 3.10

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.3-2
- Bootstrap for Python 3.10

* Sun Feb 28 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan  7 17:08:21 CET 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.5.1-3
- Bootstrap for Python 3.10

* Sat Nov 28 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.1-2
- Change pytest invocation
- use py_provides macro

* Thu Nov 26 2020 Mukundan Ragavan <nonamedotc@gmail.com> - 0.5.1-1
- Initial package.

## END: Generated by rpmautospec
